package com.bergerkiller.bukkit.nolaggchunks;

import org.bukkit.event.player.PlayerChangedWorldEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerListener;
import org.bukkit.event.player.PlayerMoveEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.event.player.PlayerTeleportEvent;

public class NLPlayerListener extends PlayerListener {
		
	@Override
	public void onPlayerMove(PlayerMoveEvent event) {
		PlayerChunkLoader.update(event);
	}
	
	@Override
	public void onPlayerQuit(PlayerQuitEvent event) {
		PlayerChunkLoader.remove(event.getPlayer());
	}
		
	@Override
	public void onPlayerJoin(PlayerJoinEvent event) {
		PlayerChunkLoader.update(event.getPlayer());
	}
	
	@Override
	public void onPlayerTeleport(PlayerTeleportEvent event) {
		PlayerChunkLoader.update(event);
	}
	
	@Override
	public void onPlayerChangedWorld(PlayerChangedWorldEvent event) {
		PlayerChunkLoader.update(event.getPlayer());
	}
	
}
